var fs = require('fs');
var noderemote = require('./lib/noderemote');
var sys = require('sys');

fs.readFile(process.argv[2] || './settings.json', function(err, data) {
  var settings = {
    'port': 8000,
    'log_level' : noderemote.log_levels.DEBUG,
    'timeout_milliseconds': 1000 * 30,
  };
  var custom_settings = {};
  if (err) {
    sys.puts('No settings.json found ('+err+'). Using default settings');
  } else {
    try {
      custom_settings = JSON.parse(data.toString('utf8',0,data.length));
    } catch (e) {
      sys.puts('Error parsing settings.json: '+e);
      process.exit(1);
    }
  }
  for (key in custom_settings)
    settings[key] = custom_settings[key];
  noderemote.start(settings);
});


